
/* TEXT */

p, ul, li {
    font-family: 'dinnext', sans-serif;
    font-size: 1.25rem;
    color: black;
    text-rendering: optimizeLegibility;
}

/* TITLES */

h1 {
    font-family: "dinnext", sans-serif;
    font-size: 2rem;
    color: black;
    text-rendering: optimizeLegibility;
}

h2 {
    font-family: "dinnext", sans-serif;
    font-size: 1.5rem;
    color: black;
    text-rendering: optimizeLegibility;
}

h3 {
    font-family: "dinnext", sans-serif;
    font-size: 1.25rem;
    font-weight: bold;
    color: black;
    text-rendering: optimizeLegibility;
}

/* LOGO */
.eth-logo{
    width:100%;
    max-width: 253px;
}



/* LINKS */

a {
text-decoration: none;
}
a:hover {
text-decoration: underline;
}

.download-button{
    box-sizing: border-box;
    border: 2px solid black;
    border-radius: 4px;
    font-family: "dinnext", sans-serif;
    font-size: 1.25rem;
    font-weight: bold;
    color: white;
    padding-top: 13px;
    padding-bottom: 10px;
    margin: 0 auto;
    background-color: black;
    width: max(30%, 200px);
}

.download-button:hover{
    cursor: pointer;
    color: white;
    background-color: #4D7DBF;
    border: 2px solid #4D7DBF;
}


/* HEADER */

.header {
    padding: 30px 50px 10px 50px;
    text-align: left;
    background-color: black;
}

.nav-list {
    list-style-type: none;
    margin: 0;
    overflow: hidden;
    background-color: black;
    padding: 0px;
}

.nav-list-item {
    float: left;
}

.nav-title {
    text-decoration: none;
    color: white;
    font-family: "dinnext", sans-serif;
    font-size: 1.5rem;
    font-weight: bold;
    text-rendering: optimizeLegibility;
    display: block;
    padding: 14px 16px;
    background-color: black;
}

.nav-title:hover {
    background-color: white;
    text-decoration: none;
    color: black;

}


/* FOOTER */

.footer {
    padding: 40px 50px 40px 50px;
    text-align: center;
    background-color: black;

}


/* LOADING */
#loading {
  position: fixed;
  display: block;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  text-align: center;
  opacity: 0.7;
  background-color: #fff;
  z-index: 99;
}

.loading-img {
    width: max(150px, 15%);
    max-width: 100%;
    animation: rotation 6s infinite linear;
    padding:30px;
}

@keyframes rotation {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(359deg);
  }
}


/* CODE */

pre {
     overflow:auto;
    font-size:1rem;
    background-color: #E9EFF7;
    font-family: monospace, monospace;
}

code {
    font-size: 1rem;
    background-color: #E9EFF7;
    padding: 2px;
}


/* TABLE */

table {
    font-size: 1.25rem;
    font-family: "dinnext", sans-serif;
    border-collapse: collapse;
}

th {
    background-color: black;
    color: white;
}

td {
    background-color: #E9EFF7;
}

th, td {
    padding: 10px;
    border: 2px solid white;
}


/* DIV CONTAINERS */

.body-wrapper {
    padding-top: 30px;
    padding-bottom: 30px;
    padding-left: 5%;
    padding-right: 5%;
}

.center-h {
    display: flex;
    justify-content:  center;
}

.result-wrapper {
    background-color: #E9EFF7;
    width: 90%;
    border-radius: 10px;
    padding-top: 2%;
    padding-bottom: 2%;
    padding-left: 2%;
    padding-right: 2%;
}


/* TOGGLE BUTTON */


.toggleview {
    appearance: none;
    border-top-left-radius: 0.5rem;
    border-top-right-radius: 0.5rem;
    border: 2px solid #E9EFF7;
    background-color: #E9EFF7;
    text-align: center;
    font-size: 1.25rem;
    font-weight: bold;
    font-family: dinnext, sans-serif;
    padding: 10px 15px;
}

.toggleview:hover {
    background-color: #4D7DBF;
    border: 2px solid #4D7DBF;
    cursor: pointer;
    color: white;
}



/* RAW */

.raw {
    padding: 18px;
    width: 90%;
    font-size:1rem;
    background-color: #E9EFF7;
    font-family: monospace, monospace;
    outline: 1.5pt solid white;
}

/* ACCORDION */

.accordion {
  background-color: #E9EFF7;
  cursor: pointer;
  padding: 18px;
  width: 90%;
  text-align: left;
    outline: 1.5pt solid white;
    border: none;
  transition: 0.4s;
}

.active, .accordion:hover {
  background-color: #d6e1f0;
}

.panel {
  padding: 0 18px;
  background-color: white;
    font-size: 1rem;
  display: none;
  overflow: hidden;
}

.accordion:after {
  content: '\02795';
  font-size: 13px;
  color: black;
  float: right;
}

.active:after {
  content: "\2796";
}


/* FORM */

.form-wrapper {
    background-color: #E9EFF7;
    width: 90%;
    border-radius: 10px;
    padding: 2% 5%;
}

.form-label {
    font-family: 'dinnext', sans-serif;
    font-size: 1.25rem;
    font-weight: bold;
    color: black;
    text-rendering: optimizeLegibility;
}

input[type=text], input[type=int], input[type=date], input[type=time], [type=date], input[type=time] {
    padding: 12px 20px 10px 20px;
    margin: 8px 0;
    box-sizing: border-box;
    border: 1.5px solid black;
    border-radius: 4px;
    font-family: "dinnext", sans-serif;
    font-size: 1.25rem;
}

textarea {
    padding: 12px 20px 10px 20px;
    margin: 8px 0;
    box-sizing: border-box;
    border: 1.5px solid black;
    border-radius: 4px;
    font-family: "dinnext", sans-serif;
    font-size: 1.25rem;
    max_width: 100%;
}

input, label {
    display:block;
}

input[type=number] {
    padding: 12px 20px 10px 20px;
    margin: 8px 0;
    box-sizing: border-box;
    border: 1.5px solid black;
    border-radius: 4px;
    font-family: "dinnext", sans-serif;
    font-size: inherit;
}

input[type=submit] {
    box-sizing: border-box;
    border: 2px solid black;
    border-radius: 4px;
    font-family: "dinnext", sans-serif;
    font-size: 1.25rem;
    font-weight: bold;
    color: white;
    padding-top: 13px;
    padding-bottom: 10px;
    margin: 0 auto;
    width: max(20%, 100px);
    background-color: black;
}

input[type=submit]:hover {
    cursor: pointer;
    color: white;
    background-color: #4D7DBF;
    border: 2px solid #4D7DBF;
}

label{
    font-family: 'dinnext', sans-serif;
    font-size: 1rem;
    font-weight: bold;
    color: black;
    text-rendering: optimizeLegibility;
}

.frequency-range input {
    padding-right:60px;
    text-align: left;
    width: 80%;
}

.frequency-range span {
    position: relative;
    left: -50px;
    font-family: dinnext, sans-serif;
    font-size: 1rem;
}


/* TOOLTIP BUTTONS */

.more-info {
    display: none;
    width: 85%;
    font-family: 'dinnext', sans-serif;
    padding-left: 20px;
    padding-right: 5px;
    border-left: 5px solid #7A9DCF;
    text-rendering: optimizeLegibility;
}

.info-image {
    width:1.5rem;
    height: 1.5rem;
    margin-bottom:-0.25rem;
}

.info-text {
    color: black;
    font-size: 1rem;
}

.info-button {
    appearance: none;
    border-radius: 0.5rem;
    border: 2px solid black;
    background-color: black;
    text-align: center;
    padding-bottom: 2px;
}

.info-button:hover {
    background-color: #4D7DBF;
    border: 2px solid #4D7DBF;
    cursor: pointer;
}


/* WIDGET */

.widget-div-right {
    width: max(40%, 300px);
    float: right;
    background-color: #E9EFF7;
    border-radius: 10px;
    padding: 10px 10px 10px 30px;
    font-family: "dinnext", sans-serif;
    font-size: 1.25rem;
}

.fieldset {
    border: 2px solid white;
}

.legend {
    font-family: "dinnext", sans-serif;
    font-size: 1.25rem;
    padding: 5px 10px;
}

.hide{
  display: none;
}